<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [NS](./bitburner.ns.md) &gt; [dnsLookup](./bitburner.ns.dnslookup.md)

## NS.dnsLookup() method

Given a hostname, returns its IP address; or given an IP address, returns its hostname.

**Signature:**

```typescript
dnsLookup(host: string): string;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  host | string | Hostname/IP of target server. |

**Returns:**

string

## Remarks

RAM cost: 0.05 GB

